Summary: Prints filenames for backup
Name: rdup
Version: 1.1.8
Release: 1
License: GPL
Group: Applications/File
URL: http://www.miek.nl/projects/rdup/
Source0: http://www.miek.nl/projects/rdup/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel >= 2.8.1, make, pcre-devel >= 7.9-2
BuildRequires: nettle-devel >= 1.15, libarchive-devel >= 2.8.4
Requires: glib2 >= 2.8.1, pcre >= 7.9-2, nettle >= 1.15, libarchive >= 2.8.4

%description
rdup is a utility inspired by rsync and the plan9 way of doing backups.
rdup it self does not backup anything, it only print a list of absolute
filenames to standard output. Auxilary scripts are needed that act on
this list and implement the backup strategy.


%prep
%setup -q
%patch0


%build
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --with-libnettle-includes=%{_includedir} \
    --with-libnettle-libraries=%{_libdir} \
    --with-libpcre-includes=%{_includedir} \
    --with-libpcre-libraries=%{_libdir}
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog DEPENDENCIES LICENSE README todo
%{_bindir}/*
%{_mandir}/man?/*
/usr/bin/*


%changelog
* Mon Oct 25 2010 Michael Perzl <michael@perzl.org> - 1.1.8-1
- updated to version 1.1.8

* Thu Oct 25 2010 Michael Perzl <michael@perzl.org> - 1.1.7-1
- updated to version 1.1.7

* Mon Apr 19 2010 Michael Perzl <michael@perzl.org> - 1.1.5-1
- updated to version 1.1.5

* Mon Mar 22 2010 Michael Perzl <michael@perzl.org> - 1.1.2-1
- updated to version 1.1.2

* Mon Jan 18 2010 Michael Perzl <michael@perzl.org> - 1.0.5-1
- updated to version 1.0.5

* Fri Jan 08 2010 Michael Perzl <michael@perzl.org> - 1.0.4-1
- updated to version 1.0.4

* Mon Aug 17 2009 Michael Perzl <michael@perzl.org> - 1.0.2-1
- updated to version 1.0.2

* Thu Jun 18 2009 Michael Perzl <michael@perzl.org> - 1.0.0-1
- updated to version 1.0.0

* Wed May 06 2009 Michael Perzl <michael@perzl.org> - 0.9.9-1
- updated to version 0.9.9

* Wed May 06 2009 Michael Perzl <michael@perzl.org> - 0.9.1-2
- fixed a minor SPEC file issue

* Fri Apr 17 2009 Michael Perzl <michael@perzl.org> - 0.9.1-1
- first version for AIX V5.1 and higher
